/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package utils;

import java.util.logging.Level;
import java.util.logging.Logger;
import javax.interceptor.AroundInvoke;
import javax.interceptor.Interceptor;
import javax.interceptor.InvocationContext;

/**
 *
 * @author hardebolle
 */
@Interceptor
public class LogInterceptor {

    @AroundInvoke
    public Object intercept(InvocationContext context) throws Exception {
        Logger l = Logger.getLogger(this.getClass().getName());
        l.log(Level.INFO, "interception of method : {0}", context.getMethod());
        return context.proceed();
    }
}
